Get delay table 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/delayTable

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • scenarioId integer(int64)
    • period integer(int32)
    • importLogId integer(int64)
    • scheduleTitle string
    • scheduleRunDate string(date-time)
    • scheduledEndDate string(date-time)
    • endDateVarianceInPeriod integer(int64)
    • endDateVarianceCumulative integer(int64)
    • criticalPathDelayInPeriod integer(int64)
    • criticalPathDelayCumulative integer(int64)
    • criticalPathRecoveryInPeriod integer(int64)
    • criticalPathRecoveryCumulative integer(int64)
    • description string
    • delayRecoveryInPeriod integer(int64)
    • delayRecoveryCumulative integer(int64)
    • recoveryDelayIndex number(double)
    • filterId integer(int64)
    • details array[object]
      Hide details attributes Show details attributes object
      • id string
      • activityId integer(int64)
      • customId string
      • name string
      • criticalPathDelay integer(int64)
      • criticalPathRecovery integer(int64)
GET /project/{projectId}/scenario/{scenarioId}/delayTable
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/delayTable' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "scenarioId": 42,
    "period": 42,
    "importLogId": 42,
    "scheduleTitle": "string",
    "scheduleRunDate": "2026-05-04T09:42:00Z",
    "scheduledEndDate": "2026-05-04T09:42:00Z",
    "endDateVarianceInPeriod": 42,
    "endDateVarianceCumulative": 42,
    "criticalPathDelayInPeriod": 42,
    "criticalPathDelayCumulative": 42,
    "criticalPathRecoveryInPeriod": 42,
    "criticalPathRecoveryCumulative": 42,
    "description": "string",
    "delayRecoveryInPeriod": 42,
    "delayRecoveryCumulative": 42,
    "recoveryDelayIndex": 42.0,
    "filterId": 42,
    "details": [
      {
        "id": "string",
        "activityId": 42,
        "customId": "string",
        "name": "string",
        "criticalPathDelay": 42,
        "criticalPathRecovery": 42
      }
    ]
  }
]